GET/api/v4/locations/{locationId}/voice-assistants

获取地点的语音助手商家信息

返回地点在 Google Assistant、Alexa、Siri、Cortana 和 Bixby 上的语音助手商家信息同步状态。

需要 API 密钥。请求头格式和密钥轮换请参阅身份验证。

参数

路径

名称类型必填描述
locationIdstring必填Location ID. Accepts either the base64-encoded node ID (e.g. `TG9jYXRpb246MTgwMDI4OQ==`) or the raw numeric database ID (e.g. `1800289`).

响应

200Array of voice assistant listings with per-assistant sync status.
Response
{  "data": {    "voiceAssistantsForLocation": [      {        "databaseId": "104468723",        "voiceIdentifier": "GOOGLE_ASSISTANT",        "name": "Google Assistant",        "connectedAccountId": null,        "syncStatus": "REQUIRING_ACTION",        "actionRequired": true,        "syncIssue": null,        "errors": []      },      {        "databaseId": "104468711",        "voiceIdentifier": "SIRI",        "name": "Siri",        "connectedAccountId": null,        "syncStatus": "IN_PROGRESS",        "actionRequired": false,        "syncIssue": null,        "errors": []      },      {        "databaseId": "104468714",        "voiceIdentifier": "ALEXA",        "name": "Alexa",        "connectedAccountId": null,        "syncStatus": "IN_PROGRESS",        "actionRequired": false,        "syncIssue": null,        "errors": []      }    ]  }}
401Unauthenticated, missing or invalid API key.
429Rate limit exceeded. Retry after the `Retry-After` header value.

返回单个地点的语音助手商家信息状态。Listings API 会将地点数据同步到 Google Assistant、Amazon Alexa、Apple Siri、Microsoft Cortana 和 Samsung Bixby,使商家出现在语音搜索结果中。locationId 路径段接受任意地点响应中的 base64 节点 ID 或原始数字数据库 ID,两者均解析为同一个地点。

使用场景:在控制台中显示“需要操作”的语音商家信息。 遍历数组,标记所有 actionRequired 为 true 或 syncIssue 非 null 的条目,以此为每个地点呈现一个语音搜索就绪状态组件。在上面的示例中,Google Assistant 和 Bixby 需要关注。Google Assistant 需要关注的最常见原因是缺少 Google 连接,因为其结果来自 Google Business Profile 连接。将这些行链接到 连接 Google,以便客户连接账号。Siri 的结果来自该地点在 Apple Maps 上的商家信息。

同步状态值: IN_PROGRESS(正在提交)、REQUIRING_ACTION(需要客户提供信息后,Listings API 才能同步)、LIVE(已发布)和 NOT_SUBMITTED。errors 是发布平台端错误字符串的数组;如果同步由某个已连接账户驱动,connectedAccountId 会将该助手关联到这个账户(例如 Google Assistant 通过 Google 连接同步)。

此端点的调用会计入您账户的速率限制。如果您轮询多个地点的语音状态,请通过 地点列表 端点分页获取这些地点,并在各次调用之间留出间隔;429 响应中包含 Retry-After 响应头,告知您何时可以恢复调用。

Request
curl -X GET 'https://listingsapi.com/api/v4/locations/<locationId>/voice-assistants' \  -H "Authorization: API $LISTINGSAPI_KEY"